The nested element handler class.

This class handles the occurance of runtime registered tags like datatypes (fileset, patternset, etc) and it's possible nested tags. It introspects the implementation of the class and sets up the data structures.

author | Andreas Aderhold
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$
access | public
package | phing.parser

### Methods

## Constructs a new NestedElement handler and sets up everything.

    __construct(object $parser, $parentHandler, $configurator, $parent, $parentWrapper, $target)

@param object the ExpatParser object

### Parameters

#### $parser

`object`

the parent handler that invoked this handler @param object the ProjectConfigurator object @param object the parent object this element is contained in @param object the parent wrapper object @param object the target object this task is contained in @access public

#### $parentHandler

#### $configurator

#### $parent

#### $parentWrapper

#### $target

## Handles character data.

    characters(string $data)

access | public

### Parameters

#### $data

`string`

the CDATA that comes in

### Exceptions

`\ExpatParseException` | if the CDATA could not be set-up properly

## Gets invoked when a XML element ends.

    endElement(string $name)

Inherited

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

inherited_from | \AbstractHandler::endElement()

### Parameters

#### $name

`string`

the name of the XML element

## Executes initialization actions required to setup the data structures related to the tag.

    init(string $propType, array $attrs)

<

p> This includes:

- creation of the nested element
- calling the setters for attributes
- adding the element to the container object
- adding a reference to the element (if id attribute is given)

access | public

### Parameters

#### $propType

`string`

the tag that comes in

#### $attrs

`array`

attributes the tag carries

### Exceptions

`\ExpatParseException` | if the setup process fails

## Checks for nested tags within the current one.

    startElement(string $name, array $attrs)

Creates and calls handlers respectively.

access | public

### Parameters

#### $name

`string`

the tag that comes in

#### $attrs

`array`

attributes the tag carries

## Gets invoked when element closes method.

    finished()

Inherited

inherited_from | \AbstractHandler::finished()

### Properties

##

    $parentHandler

Inherited

inherited_from | \AbstractHandler::$$parentHandler

##

    $parser

Inherited

inherited_from | \AbstractHandler::$$parser

##

    $child : object

##

    $childWrapper

@var object

##

    $parent : object

##

    $parentWrapper

@var object

##

    $target

@var object the target instance